<?php

/*
Plugin Name: Vider cache local Divi Builder
Description: Pour vider le cache local du Divi Builder en cas d'erreur de celui-ci. D'après <a href="https://gist.github.com/SJ-James/2034db86ed54dea09fa0ed4920261660" target="_blank">le code</a> de SJ James de Divi.Space.
Version: 1
Author: Pierre Bichet pour Divi Community 🚀
Author URI: https://www.divi-community.fr
*/


function ClearLocalCacheButton() { ?>
    // Creation du bouton
    <a href="#" onclick="ClearLocalCache()" class="et-pb-layout-buttons et-pb-layout-buttons-cache" title="Clear Cache">
		<span>Vider le cache</span>
	</a>

    <script type="text/javascript">
        // Place le bouton dans la barre d'onglets
        jQuery(window).load(function(){
           jQuery(".et-pb-layout-buttons-cache").insertAfter(jQuery(".et-pb-layout-buttons-clear"));
        });
    	function ClearLocalCache() {
            // Vide le cache et alerte l'utilisateur
            alert("Le stockage des données en local a été effacé. Cliquez sur \"Mettre à jour\".");
            window.localStorage.clear()
        }
    </script>
<?php }
add_action('admin_footer', 'ClearLocalCacheButton');
